@import "../styles/lib/config";
@import "~@blueprintjs/core/lib/less/variables";

@indent: 5px;
@vert-indent: 8px;
@active-item-border: 4px;

.vertical-menu-wrap {
  overflow: auto;

  button {
    outline-width: 0;
  }
}

.vertical-menu-absolute {
  position: absolute;
  left: 0;
  top: 0;
  width: @width-vertical-menu;
  height: 100%;

  box-shadow: 1px 0 0 rgba(@dark-gray5, .15);

  .@{ns}-dark {
    box-shadow: 1px 0 0 rgba(@black, .4);
  }
}

.vertical-menu {
  display: grid;
  list-style: none;
  margin: 0;
  padding: 0;
}

.vertical-menu__item {
  padding: @vert-indent @indent;
  border-left: @active-item-border solid transparent;

  &.active {
    border-left-color: @gray1;
    background-color: @light-gray4;
  }

  .@{ns}-dark &.active {
    border-left-color: @gray2;
    background-color: @dark-gray5;
  }
}

.vertical-menu__submenu {
  display: grid;
  grid-row-gap: @vert-indent;
  list-style: none;
  margin: @vert-indent 0 0 0;
  padding: 0;
}
